Last Comment Bug 862137 - stop supporting Sherlock search engines
: stop supporting Sherlock search engines
Status: RESOLVED FIXED
[fxsearch]
:
Product: Firefox
Classification: Client Software
Component: Search (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: Firefox 44
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on: 854478 862143 862148
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-15 17:06 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2016-03-14 19:07 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2013-04-15 17:06:28 PDT
No one else does, OpenSearch is the clear winner.
Comment 1 Mycroft Project (CC) 2013-04-16 06:49:07 PDT
No great resistance from me - I might compile some numbers to compare downloads later. There are probably still a few people making use of <interpret> - can you trawl AMO?

Apart from that I'd just want an idea of timescale / a bit of notice if poss.

(Don't suppose you fancy changing to store OpenSearch rather than MozSearch in the profile at the same time - it does confuse people and I can't remember what the logic was in the first place!)

[Gratuitous Mycroft keyword spam so that this bug will show up in my search]
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2013-04-16 14:17:45 PDT
(In reply to Mycroft Project (CC) from comment #1)
> No great resistance from me - I might compile some numbers to compare downloads
> later.

Sounds great! I was curious as to what the current state of things on Mycroft is.

> Apart from that I'd just want an idea of timescale / a bit of notice if poss.

This isn't a high priority, I filed it mostly for tracking purposes. I don't think it would end up shipping before Firefox 24 at the earliest.

> (Don't suppose you fancy changing to store OpenSearch rather than MozSearch
> in the profile at the same time - it does confuse people and I can't
> remember what the logic was in the first place!)

Could do, I filed bug 862550.
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2013-04-16 14:22:40 PDT
(In reply to Mycroft Project (CC) from comment #1)
> There are probably still a few people making use of <interpret> - can you trawl
> AMO?

The search service doesn't support <interpret>, so I don't think anyone is relying on it? Though I may not be understanding what you mean.

This search on AMO add-ons (requires a Mozilla LDAP account):
https://mxr.mozilla.org/addons/find?text=&string=\.src
shows only a few add-ons potentially shipping search engines:
/1097/searchplugins/printmall.src
/3615/searchplugins/delicious.src
/7942/searchplugins/prontoEngine.src
/11923/searchplugins/HexoSearch.src
/175988/searchplugins/delicious.src
/311926/searchplugins/briteclick.src
/371445/searchplugins/delicious.src

I suspect most are no longer compatible with recent versions of Firefox, but I'll double check.
Comment 4 Kohei Yoshino [:kohei] 2013-06-28 23:48:29 PDT
Firefox 24 Aurora is mentioning this bug by mistake?
http://www.mozilla.org/en-US/firefox/24.0a2/auroranotes/

Some third party sites still have Sherlock search engines. I'll add this bug to the site compatibility document to get developers' attention.
Comment 5 Kohei Yoshino [:kohei] 2013-06-28 23:50:16 PDT
(In reply to Kohei Yoshino [:kohei] from comment #4)
> Firefox 24 Aurora is mentioning this bug by mistake?
> http://www.mozilla.org/en-US/firefox/24.0a2/auroranotes/

Oh, please discard this comment. That is Bug 862143.
Comment 6 Kohei Yoshino [:kohei] 2013-06-29 01:00:33 PDT
Sorry, the blocker bugs already have keywords. Clearing.
Comment 7 Florian Quèze [:florian] [:flo] 2015-09-23 15:08:44 PDT
Fixed in bug 862148.

Note You need to log in before you can comment on or make changes to this bug.